package com.realnet.test.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.test.Entity.Test1234;
import com.realnet.test.Services.Test1234Service ;






@RequestMapping(value = "/Test1234")
 @CrossOrigin("*") 
@RestController
public class Test1234Controller {
	@Autowired
	private Test1234Service Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Test1234")
		  public Test1234 Savedata(@RequestBody Test1234 data) {
		Test1234 save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Test1234/{id}")
	public  Test1234 update(@RequestBody Test1234 data,@PathVariable Integer id ) {
		Test1234 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Test1234/getall/page")
	public Page<Test1234> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Test1234> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Test1234")
	public List<Test1234> getdetails() {
		 List<Test1234> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Test1234")
	public List<Test1234> getallwioutsec() {
		 List<Test1234> get = Service.getdetails();		
		return get;
}
@GetMapping("/Test1234/{id}")
	public  Test1234  getdetailsbyId(@PathVariable Integer id ) {
		Test1234  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Test1234/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}







}